Linux installer does nothing

On 64-bit variants of Linux, if the 32-bit runtime libraries are not installed, the installer as well as eCosPro host tools such as the GUI configuration tool will simply exit. In order to run the installer as well as all the native Linux eCos tools, you must first install the necessary 32-bit run-time libraries. For example, on Ubuntu and Debian systems you need the ia32-libs package installed. On Red Hat and Fedora you must have multiple instances of the run-time libraries, which include 32-bit versions of these libraries, installed. This is often referred to as multilib installation. On OpenSUSE you can choose the libraries by opening YaST, selecting Software Management and under View, select Patterns and choose "32-Bit Runtime Environment".

If this problem persists, please contact eCosCentric.

2017-02-09
Documentation license for this page: eCosPro License